libmpq(3)

NAME
libmpq - cross-platform C library for manipulating mpq archives.

SYNOPSIS
#include <mpq.h>

int32_t libmpq__archive_unpacked_size(
        mpq_archive_s  *mpq_archive,
        off_t          *unpacked_size
);

DESCRIPTION

Call libmpq__archive_unpacked_size() to get the unpacked size of all files in the archive. It will count uncompressed and exploded files as well as stored only.

The libmpq__archive_unpacked_size() function takes as first argument the archive structure mpq_archive which have to be allocated first and opened by libmpq__archive_open(). The second argument is a reference to the uncompressed, exploded or stored size unpacked_size of file.

RETURN VALUE
On success, a zero is returned.

SEE ALSO
libmpq__file_unpacked_size(3), libmpq__block_unpacked_size(3)

AUTHOR
Check documentation.

libmpq is (c) 2003-2008
    Maik Broemme <mbroemme@plusserver.de>

The above e-mail address can be used to send bug reports, feedbacks or library enhancements.